(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     26530,        962]*)
(*NotebookOutlinePosition[     27430,        991]*)
(*  CellTagsIndexPosition[     27386,        987]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
    \(x\^2 + y\^2 \[Equal] 1\), "\[IndentingNewLine]", 
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1\)}], "Input"],

Cell[BoxData[
    \(x\^2 + y\^2 \[Equal] 1\)], "Output"],

Cell[BoxData[
    \(A\ \((\(-u\) + x)\)\^2 + C\ \((\(-v\) + y)\)\^2 \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[x\^2 + y\^2 \[Equal] 1, y]\)], "Input"],

Cell[BoxData[
    \({{y \[Rule] \(-\@\(1 - x\^2\)\)}, {y \[Rule] \@\(1 - x\^2\)}}\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1, y]\)], "Input"],

Cell[BoxData[
    \({{y \[Rule] \(C\ v - \@\(C - A\ C\ u\^2 + 2\ A\ C\ u\ x - A\ C\ \
x\^2\)\)\/C}, {y \[Rule] \(C\ v + \@\(C - A\ C\ u\^2 + 2\ A\ C\ u\ x - A\ C\ \
x\^2\)\)\/C}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Path\ y \[Rule] \(-\@\(1 - x\^2\)\)\)], "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1 /. 
      y \[Rule] \(-\@\(1 - x\^2\)\)\)], "Input"],

Cell[BoxData[
    \(A\ \((\(-u\) + x)\)\^2 + C\ \((\(-v\) - \@\(1 - x\^2\))\)\^2 \[Equal] 
      1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[
      A\ \((\(-u\) + x)\)\^2 + C\ \((\(-v\) - \@\(1 - x\^2\))\)\^2 \[Equal] 
        1]\)], "Input"],

Cell[BoxData[
    \(C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 + 
        2\ C\ v\ \@\(1 - x\^2\) \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 + 
        2\ C\ v\ \@\(1 - x\^2\) - 1 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 + 
        2\ C\ v\ \@\(1 - x\^2\) \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - 
        C\ x\^2 \[Equal] \(-2\)\ C\ v\ \@\(1 - x\^2\)\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - 
        C\ x\^2 \[Equal] \(-2\)\ C\ v\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - 
          C\ x\^2, x] \[Equal] \(-2\)\ C\ v\ \@\(1 - x\^2\)\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 
        2\ A\ u\ x + \((A - 
              C)\)\ x\^2 \[Equal] \(-2\)\ C\ v\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 
          2\ A\ u\ x + \((A - 
                C)\)\ x\^2 \[Equal] \(-2\)\ C\ v\ \@\(1 - x\^2\)\  //. {A\ u \
\[Rule] R, 
        C\ v \[Rule] Q, \((A - C)\) \[Rule] 
          M, \(-1\) + C + A\ u\^2 + C\ v\^2 \[Rule] N}\)], "Input"],

Cell[BoxData[
    \(N - 2\ R\ x + M\ x\^2 \[Equal] \(-2\)\ Q\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Expand[\(1\/\(\(2\)\(\ \)\(Q\)\(\ \)\)\) \((N - 2\ R\ x + 
              M\ x\^2)\)] \[Equal] \(\(-\@\(1 - x\^2\)\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \(-\@\(1 - x\
\^2\)\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Path\ y \[Rule] \@\(1 - x\^2\)\)], "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1 /. 
      y \[Rule] \@\(1 - x\^2\)\)], "Input"],

Cell[BoxData[
    \(A\ \((\(-u\) + x)\)\^2 + C\ \((\(-v\) + \@\(1 - x\^2\))\)\^2 \[Equal] 
      1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[
      A\ \((\(-u\) + x)\)\^2 + C\ \((\(-v\) + \@\(1 - x\^2\))\)\^2 \[Equal] 
        1]\)], "Input"],

Cell[BoxData[
    \(C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 - 
        2\ C\ v\ \@\(1 - x\^2\) \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 - 
        2\ C\ v\ \@\(1 - x\^2\) - 1 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 - 
        2\ C\ v\ \@\(1 - x\^2\) \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - C\ x\^2 == 
      2\ C\ v\ \@\(1 - x\^2\)\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - 
        C\ x\^2 \[Equal] 2\ C\ v\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[\(-1\) + C + A\ u\^2 + C\ v\^2 - 2\ A\ u\ x + A\ x\^2 - 
          C\ x\^2, x] == 2\ C\ v\ \@\(1 - x\^2\)\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 
        2\ A\ u\ x + \((A - C)\)\ x\^2 \[Equal] 
      2\ C\ v\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-1\) + C + A\ u\^2 + C\ v\^2 - 
          2\ A\ u\ x + \((A - C)\)\ x\^2 \[Equal] 
        2\ C\ v\ \@\(1 - x\^2\) //. {A\ u \[Rule] R, 
        C\ v \[Rule] Q, \((A - C)\) \[Rule] 
          M, \(-1\) + C + A\ u\^2 + C\ v\^2 \[Rule] N}\)], "Input"],

Cell[BoxData[
    \(N - 2\ R\ x + M\ x\^2 \[Equal] 2\ Q\ \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(Expand[\(1\/\(2\ Q\)\) \((N - 2\ R\ x + 
              M\ x\^2)\)]\)\(\[Equal]\)\(\ \)\(\@\(1 - 
            x\^2\)\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \@\(1 - x\^2\
\)\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Part II", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \(-\@\(1 - x\
\^2\)\)\)], "Input"],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \(-\@\(1 - x\
\^2\)\)\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \@\(1 - x\^2\
\)\)], "Input"],

Cell[BoxData[
    \({R -> A\ u, \[IndentingNewLine]Q -> 
        C\ v, \[IndentingNewLine]M -> \((A - 
            C)\), \[IndentingNewLine]N -> \(-1\) + C + A\ u\^2 + 
          C\ v\^2}\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[\((N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\))\)\^2 \
\[Equal] 1 - x\^2]\)], "Input"],

Cell[BoxData[
    \(N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \(M\ N\ x\^2\)\/\(2\ Q\^2\) + \
\(R\^2\ x\^2\)\/Q\^2 - \(M\ R\ x\^3\)\/Q\^2 + \(M\^2\ x\^4\)\/\(4\ Q\^2\) \
\[Equal] 1 - x\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[
        N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \(M\ N\ x\^2\)\/\(2\ Q\^2\) + \
\(R\^2\ x\^2\)\/Q\^2 - \(M\ R\ x\^3\)\/Q\^2 + \(M\^2\ x\^4\)\/\(4\ Q\^2\) - \
\((1 - x\^2)\), x] \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(\(-1\) + 
        N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \((1 + \(M\ N\)\/\(2\ Q\^2\) \
+ R\^2\/Q\^2)\)\ x\^2 - \(M\ R\ x\^3\)\/Q\^2 + \(M\^2\ x\^4\)\/\(4\ Q\^2\) \
\[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[
        Expand[\(\(4\ Q\^2\)\/M\^2\) \((\(-1\) + 
                N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \((1 + \(M\ N\)\/\(2\ \
Q\^2\) + R\^2\/Q\^2)\)\ x\^2 - \(M\ R\ x\^3\)\/Q\^2 + \(M\^2\ x\^4\)\/\(4\ \
Q\^2\))\)], x] \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(N\^2\/M\^2 - \(4\ Q\^2\)\/M\^2 - \(4\ N\ R\ x\)\/M\^2 + \((\(2\ N\)\/M \
+ \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2)\)\ x\^2 - \(4\ R\ x\^3\)\/M + 
        x\^4 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(N\^2\/M\^2 - \(4\ Q\^2\)\/M\^2 - \(4\ N\ R\ x\)\/M\^2 + \((\(2\ N\)\/M \
+ \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2)\)\ x\^2 - \(4\ R\ x\^3\)\/M + 
          x\^4 \[Equal] 
        0 //. {N\^2\/M\^2 - \(4\ Q\^2\)\/M\^2 \[Rule] 
          d, \(-\(\(\(4\)\(\ \)\(N\)\(\ \)\(R\)\(\ \)\)\/M\^2\)\) \[Rule] 
          c, \((\(2\ N\)\/M + \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2)\) \
\[Rule] b, \(-\(\(\(4\)\(\ \)\(R\)\(\ \)\)\/M\)\) \[Rule] a}\)], "Input"],

Cell[BoxData[
    \(d + c\ x + b\ x\^2 + a\ x\^3 + x\^4 \[Equal] 0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quartic equation", "Section"],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\({a -> \(-\(\(\(4\)\(\ \)\(R\)\(\ \
\)\)\/M\)\), \[IndentingNewLine]b -> \(2\ N\)\/M + \(4\ Q\^2\)\/M\^2 + \(4\ R\
\^2\)\/M\^2, \[IndentingNewLine]c -> \(-\(\(\(4\)\(\ \)\(N\)\(\ \)\(R\)\(\ \)\
\)\/M\^2\)\)\ , \[IndentingNewLine]d -> 
        N\^2\/M\^2 - \(4\ Q\^2\)\/M\^2}\)\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[
      d + c\ x + b\ x\^2 + a\ x\^3 + x\^4 \[Equal] 0 /. 
        x -> y - a\/4]\)], "Input"],

Cell[BoxData[
    \(\(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 + 
        d + \(a\^3\ y\)\/8 - \(a\ b\ y\)\/2 + c\ y - \(3\ a\^2\ y\^2\)\/8 + 
        b\ y\^2 + y\^4 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[\(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 + 
          d + \(a\^3\ y\)\/8 - \(a\ b\ y\)\/2 + c\ y - \(3\ a\^2\ y\^2\)\/8 + 
          b\ y\^2 + y\^4, y] \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(\(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 + 
        d + \((a\^3\/8 - \(a\ b\)\/2 + c)\)\ y + \((\(-\(\(3\ a\^2\)\/8\)\) + 
              b)\)\ y\^2 + y\^4 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(\(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 + 
          d + \((a\^3\/8 - \(a\ b\)\/2 + 
                c)\)\ y + \((\(-\(\(3\ a\^2\)\/8\)\) + b)\)\ y\^2 + 
          y\^4 \[Equal] 
        0 //. {\((\(-\(\(3\ a\^2\)\/8\)\) + b)\)\  \[Rule] 
          e, \((a\^3\/8 - \(a\ b\)\/2 + c)\) \[Rule] 
          f, \(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 + 
            d \[Rule] g}\)\(\[IndentingNewLine]\)
    \)\)], "Input"],

Cell[BoxData[
    \(g + f\ y + e\ y\^2 + y\^4 \[Equal] 0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quartic - part II", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullSimplify[\((\(-\(\(3\ a\^2\)\/8\)\) + 
            b)\) /. {a -> \(-\(\(\(4\)\(\ \)\(R\)\(\ \)\)\/M\)\), 
          b -> \(2\ N\)\/M + \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2}]\)], \
"Input"],

Cell[BoxData[
    \(\(2\ M\ N + 4\ Q\^2 - 2\ R\^2\)\/M\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullSimplify[\((a\^3\/8 - \(a\ b\)\/2 + 
            c)\) /. {a -> \(-\(\(\(4\)\(\ \)\(R\)\(\ \)\)\/M\)\), 
          b -> \(2\ N\)\/M + \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2, 
          c -> \(-\(\(\(4\)\(\ \)\(N\)\(\ \)\(R\)\(\ \)\)\/M\^2\)\)}]\)], \
"Input"],

Cell[BoxData[
    \(\(8\ Q\^2\ R\)\/M\^3\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullSimplify[\(-\(\(3\ a\^4\)\/256\)\) + \(a\^2\ b\)\/16 - \(a\ c\)\/4 \
+ d /. {a -> \(-\(\(\(4\)\(\ \)\(R\)\(\ \)\)\/M\)\), 
          b -> \(2\ N\)\/M + \(4\ Q\^2\)\/M\^2 + \(4\ R\^2\)\/M\^2, 
          c -> \(-\(\(\(4\)\(\ \)\(N\)\(\ \)\(R\)\(\ \)\)\/M\^2\)\)\ , 
          d -> N\^2\/M\^2 - \(4\ Q\^2\)\/M\^2}]\)], "Input"],

Cell[BoxData[
    \(\(M\^2\ \((N\^2 - 4\ Q\^2)\) - 2\ M\ N\ R\^2 + 4\ Q\^2\ R\^2 + \
R\^4\)\/M\^4\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(g + f\ y + e\ y\^2 + y\^4 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(g + f\ y + e\ y\^2 + y\^4 \[Equal] 0\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cubic equation", "Section"],

Cell[BoxData[
    \({e -> \(2\ M\ N + 4\ Q\^2 - 2\ R\^2\)\/M\^2, \[IndentingNewLine]f -> \
\(8\ Q\^2\ R\)\/M\^3, \[IndentingNewLine]g -> \(M\^2\ \((N\^2 - 4\ Q\^2)\) - \
2\ M\ N\ R\^2 + 4\ Q\^2\ R\^2 + R\^4\)\/M\^4}\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(x -> y - 
          a\/4 //. {a -> \(-\(\(\(4\)\(\ \)\(R\)\(\ \)\)\/M\)\)}\)], "Input"],

Cell[BoxData[
    \(x \[Rule] R\/M + y\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(h\^6 + 2\ e\ h\^4 + \((e\^2 - 4\ g)\)\ h\^2 - f\^2 \[Equal] 
        0 /. {2\ e \[Rule] a\_2, \((e\^2 - 4\ g)\) \[Rule] 
          a\_1, \(-f\^2\) \[Rule] a\_0}\)], "Input"],

Cell[BoxData[
    \(h\^6 + a\_0 + h\^2\ a\_1 + h\^4\ a\_2 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(h\^6 + a\_0 + h\^2\ a\_1 + h\^4\ a\_2 \[Equal] 0 /. {h\^2 \[Rule] s, 
        h\^4 \[Rule] s\^2, h\^6 \[Rule] s\^3}\)], "Input"],

Cell[BoxData[
    \(s\^3 + a\_0 + s\ a\_1 + s\^2\ a\_2 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \({a\_0 -> \(-f\^2\), \[IndentingNewLine]a\_1 -> 
        e\^2 - 4\ g, \[IndentingNewLine]a\_2 -> 2\ e}\)], "Input"],

Cell["\<\
Cubic equation should be solved by using one of techniques available...\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Original roots", "Section"],

Cell[BoxData[
    \(\({R -> A\ u, \[IndentingNewLine]Q -> 
          C\ v, \[IndentingNewLine]M -> \((A - 
              C)\), \[IndentingNewLine]N -> \(-1\) + C + A\ u\^2 + 
            C\ v\^2, \[IndentingNewLine]e -> \(2\ M\ N + 4\ Q\^2 - 2\ \
R\^2\)\/M\^2, \[IndentingNewLine]f -> \(8\ Q\^2\ R\)\/M\^3, \
\[IndentingNewLine]g -> \(M\^2\ \((N\^2 - 4\ Q\^2)\) - 2\ M\ N\ R\^2 + 4\ \
Q\^2\ R\^2 + R\^4\)\/M\^4};\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(x -> y - a\/4 /. {a -> \(-\(\(4\ R\)\/M\)\)}\)], "Input"],

Cell[BoxData[
    \(x \[Rule] R\/M + y\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(h\^2 \[Rule] s\)], "Input"],

Cell[BoxData[
    \(h\^2 \[Rule] s\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[h\^2 \[Equal] s, h]\)], "Input"],

Cell[BoxData[
    \({{h \[Rule] \(-\@s\)}, {h \[Rule] \@s}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(W\_1 \[Rule] \@\(s - 4  j\) /. j -> \(e + h\^2 - f\/h\)\/2\)], "Input"],

Cell[BoxData[
    \(W\_1 \[Rule] \@\(\(-2\)\ \((e - f\/h + h\^2)\) + s\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(W\_2 \[Rule] \@\(s - \(4  g\)\/j\) /. 
      j -> \(e + h\^2 - f\/h\)\/2\)], "Input"],

Cell[BoxData[
    \(W\_2 \[Rule] \@\(\(-\(\(8\ g\)\/\(e - f\/h + h\^2\)\)\) + s\)\)], \
"Output"]
}, Open  ]],

Cell[BoxData[
    \(x\_1 -> \(\((\(-h\) + W\_1)\)\/2 + R\)\/M\)], "Input"],

Cell[BoxData[
    \(x\_2 -> \(\((\(-h\) - W\_1)\)\/2 + R\)\/M\)], "Input"],

Cell[BoxData[
    \(x\_3 -> \(\((h + W\_2)\)\/2 + R\)\/M\)], "Input"],

Cell[BoxData[
    \(x\_4 -> \(\((h - W\_2)\)\/2 + R\)\/M\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Special cases", "Section"],

Cell[CellGroupData[{

Cell["|M|>1", "Subsection"],

Cell[BoxData[
    \(g + f\ y + e\ y\^2 + y\^4 \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(e -> \(2\ M\ N + 4\ Q\^2 - 2\ R\^2\)\/M\^2, \[IndentingNewLine]f -> \(8\
\ Q\^2\ R\)\/M\^3, \[IndentingNewLine]g -> \(M\^2\ \((N\^2 - 4\ Q\^2)\) - 2\ \
M\ N\ R\^2 + 4\ Q\^2\ R\^2 + R\^4\)\/M\^4\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(g + f\ y + e\ y\^2 + y\^4 \[Equal] 
        0 /. {e -> \(2\ M\ N + 4\ Q\^2 - 2\ R\^2\)\/M\^2, 
        f -> \(8\ Q\^2\ R\)\/M\^3, 
        g -> \(M\^2\ \((N\^2 - 4\ Q\^2)\) - 2\ M\ N\ R\^2 + 4\ Q\^2\ R\^2 + R\
\^4\)\/M\^4, y \[Rule] t\/M}\)], "Input"],

Cell[BoxData[
    \(\(M\^2\ \((N\^2 - 4\ Q\^2)\) - 2\ M\ N\ R\^2 + 4\ Q\^2\ R\^2 + \
R\^4\)\/M\^4 + \(8\ Q\^2\ R\ t\)\/M\^4 + \(\((2\ M\ N + 4\ Q\^2 - 2\ R\^2)\)\ \
t\^2\)\/M\^4 + t\^4\/M\^4 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(x \[Rule] R\/M + y /. y \[Rule] t\/M\)], "Input"],

Cell[BoxData[
    \(x \[Rule] R\/M + t\/M\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["u\[Equal]0 and v\[Equal]0", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(x\^2 + y\^2 \[Equal] 1\), "\[IndentingNewLine]", 
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1 /. {u \[Rule] 0, 
        v \[Rule] 0}\)}], "Input"],

Cell[BoxData[
    \(x\^2 + y\^2 \[Equal] 1\)], "Output"],

Cell[BoxData[
    \(A\ x\^2 + C\ y\^2 \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[ExpandAll[A\ x\^2 + C\ y\^2 \[Equal] 1 /. y\^2 \[Rule] 1 - x\^2], 
      x]\)], "Input"],

Cell[BoxData[
    \({{x \[Rule] \(-\(\@\(1 - C\)\/\@\(A - C\)\)\)}, {x \[Rule] \@\(1 - \
C\)\/\@\(A - C\)}}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["u\[Equal]0", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(x\^2 + y\^2 \[Equal] 1\), "\[IndentingNewLine]", 
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1 /. 
      u \[Rule] 0\)}], "Input"],

Cell[BoxData[
    \(x\^2 + y\^2 \[Equal] 1\)], "Output"],

Cell[BoxData[
    \(A\ x\^2 + C\ \((\(-v\) + y)\)\^2 \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[x\^2 + y\^2 \[Equal] 1, y]\)], "Input"],

Cell[BoxData[
    \({{y \[Rule] \(-\@\(1 - x\^2\)\)}, {y \[Rule] \@\(1 - x\^2\)}}\)], \
"Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[\(-1\) + A\ x\^2 + C\ \((\(-v\) + y)\)\^2 \[Equal] 0 /. 
        y \[Rule] \(-\@\(1 - x\^2\)\)]\)], "Input"],

Cell[BoxData[
    \(\(-1\) + C + C\ v\^2 + A\ x\^2 - C\ x\^2 + 
        2\ C\ v\ \@\(1 - x\^2\) \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(-1\) + C + C\ v\^2 + \((A - C)\)\ x\^2 + 
          2\ C\ v\ \@\(1 - x\^2\) \[Equal] 
        0 //. {C\ v \[Rule] Q, \((A - C)\) \[Rule] 
          M, \(-1\) + C + C\ v\^2 \[Rule] N}\)], "Input"],

Cell[BoxData[
    \(N + M\ x\^2 + 2\ Q\ \@\(1 - x\^2\) \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(ExpandAll[\((N + M\ x\^2)\)\^2 \[Equal] \((\(-2\)\ Q\ \@\(1 - x\^2\))\)\
\^2]\)], "Input"],

Cell[BoxData[
    \(N\^2 + 2\ M\ N\ x\^2 + M\^2\ x\^4 \[Equal] 
      4\ Q\^2 - 4\ Q\^2\ x\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Collect[N\^2 + 2\ M\ N\ x\^2 + M\^2\ x\^4 - 4\ Q\^2 + 4\ Q\^2\ x\^2, 
        x]\  \[Equal] 0\)], "Input"],

Cell[BoxData[
    \(N\^2 - 4\ Q\^2 + \((2\ M\ N + 4\ Q\^2)\)\ x\^2 + M\^2\ x\^4 \[Equal] 
      0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(N\^2 - 4\ Q\^2 + \((2\ M\ N + 4\ Q\^2)\)\ x\^2 + M\^2\ x\^4 \[Equal] 
        0\  //. {N\^2 - 4\ Q\^2 \[Rule] c, \((2\ M\ N + 4\ Q\^2)\) \[Rule] b, 
        M\^2 \[Rule] a, x\^2 \[Rule] s, x\^4 \[Rule] s\^2}\)], "Input"],

Cell[BoxData[
    \(c + b\ s + a\ s\^2 \[Equal] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[c + b\ s + a\ s\^2 \[Equal] 0, s]\)], "Input"],

Cell[BoxData[
    \({{s \[Rule] \(\(-b\) - \@\(b\^2 - 4\ a\ c\)\)\/\(2\ a\)}, {s \[Rule] \(\
\(-b\) + \@\(b\^2 - 4\ a\ c\)\)\/\(2\ a\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({{s \[Rule] \(\(-b\) - \@\(b\^2 - 4\ a\ c\)\)\/\(2\ a\)}, {s \[Rule] \(\
\(-b\) + \@\(b\^2 - 4\ a\ c\)\)\/\(2\ a\)}} /. 
      b\^2 - 4\ a\ c \[Rule] D\_1\)], "Input"],

Cell[BoxData[
    \({{s \[Rule] \(\(-b\) - \@D\_1\)\/\(2\ a\)}, {s \[Rule] \(\(-b\) + \
\@D\_1\)\/\(2\ a\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(FullSimplify[
      D\_1 -> ExpandAll[
          b\^2 - 4\ a\ c /. {a -> M\^2, b -> \((2\ M\ N + 4\ Q\^2)\), 
              c -> N\^2 - 4\ Q\^2}]]\)], "Input"],

Cell[BoxData[
    \(D\_1 \[Rule] 16\ Q\^2\ \((M\ \((M + N)\) + Q\^2)\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PowerExpand[{{s \[Rule] \(\(-b\) - \@D\_1\)\/\(2\ a\)}, {s \[Rule] \
\(\(-b\) + \@D\_1\)\/\(2\ a\)}} /. {D\_1 \[Rule] 
            16\ Q\^2\ \((M\ \((M + N)\) + Q\^2)\), a -> M\^2, 
          b -> \((2\ M\ N + 4\ Q\^2)\)}]\)], "Input"],

Cell[BoxData[
    \({{s \[Rule] \(\(-2\)\ M\ N - 4\ Q\^2 - 4\ Q\ \@\(M\ \((M + N)\) + \
Q\^2\)\)\/\(2\ M\^2\)}, {s \[Rule] \(\(-2\)\ M\ N - 4\ Q\^2 + 4\ Q\ \@\(M\ \
\((M + N)\) + Q\^2\)\)\/\(2\ M\^2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \({{s \[Rule] \(\(-2\)\ M\ N - 4\ Q\^2 - 4\ Q\ \@\(M\ \((M + N)\) + \
Q\^2\)\)\/\(2\ M\^2\)}, {s \[Rule] \(\(-2\)\ M\ N - 4\ Q\^2 + 4\ Q\ \@\(M\ \
\((M + N)\) + Q\^2\)\)\/\(2\ M\^2\)}} /. 
      M\ \((M + N)\) + Q\^2 \[Rule] D\)], "Input"],

Cell[BoxData[
    \({{s \[Rule] \(\(-2\)\ M\ N - 4\ \@D\ Q - 4\ Q\^2\)\/\(2\ M\^2\)}, {s \
\[Rule] \(\(-2\)\ M\ N + 4\ \@D\ Q - 4\ Q\^2\)\/\(2\ M\^2\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(PowerExpand[
      x \[Rule] \@s /. {{s \[Rule] \(\(-2\)\ M\ N - 4\ \@D\ Q - 4\ \
Q\^2\)\/\(2\ M\^2\)}, {s \[Rule] \(\(-2\)\ M\ N + 4\ \@D\ Q - 4\ Q\^2\)\/\(2\ \
M\^2\)}}]\)], "Input"],

Cell[BoxData[
    \({x \[Rule] \@\(\(-2\)\ M\ N - 4\ \@D\ Q - 4\ Q\^2\)\/\(\@2\ M\), 
      x \[Rule] \@\(\(-2\)\ M\ N + 4\ \@D\ Q - 4\ Q\^2\)\/\(\@2\ M\)}\)], \
"Output"]
}, Open  ]],

Cell[BoxData[
    \({Q -> 
        C\ v, \[IndentingNewLine]M -> \((A - 
            C)\), \[IndentingNewLine]N -> \(-1\) + C + 
          C\ v\^2, \[IndentingNewLine]D -> M\ \((M + N)\) + Q\^2}\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["v\[Equal]0", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(x\^2 + y\^2 \[Equal] 1\), "\[IndentingNewLine]", 
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 
        1 /. {v \[Rule] 0}\)}], "Input"],

Cell[BoxData[
    \(x\^2 + y\^2 \[Equal] 1\)], "Output"],

Cell[BoxData[
    \(A\ \((\(-u\) + x)\)\^2 + C\ y\^2 \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[
      A\ \((\(-u\) + x)\)\^2 + C\ y\^2 \[Equal] 1 /. y\^2 \[Rule] 1 - x\^2, 
      x]\)], "Input"],

Cell[BoxData[
    \({{x \[Rule] \(A\ u - \@\(A - C - A\ C + C\^2 + A\ C\ u\^2\)\)\/\(A - \
C\)}, {x \[Rule] \(A\ u + \@\(A - C - A\ C + C\^2 + A\ C\ u\^2\)\)\/\(A - \
C\)}}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["A\[Equal]C", "Subsection"],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \@\(1 - x\^2\
\)\)], "Input"],

Cell[BoxData[
    \({R -> A\ u, \[IndentingNewLine]Q -> 
        C\ v, \[IndentingNewLine]M -> \((A - 
            C)\), \[IndentingNewLine]N -> \(-1\) + C + A\ u\^2 + 
          C\ v\^2}\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(M -> \((A - C)\) /. A \[Rule] C\)], "Input"],

Cell[BoxData[
    \(M \[Rule] 0\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q + \(M\ x\^2\)\/\(2\ Q\) \[Equal] \@\(1 - x\^2\
\) /. M \[Rule] 0\)], "Input"],

Cell[BoxData[
    \(N\/\(2\ Q\) - \(R\ x\)\/Q \[Equal] \@\(1 - x\^2\)\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(ExpandAll[\((N\/\(2\ Q\) - \(R\ x\)\/Q)\)\^2 \[Equal] 
        1 - x\^2]\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    \(N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \(R\^2\ x\^2\)\/Q\^2 \[Equal] 
      1 - x\^2\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[
      N\^2\/\(4\ Q\^2\) - \(N\ R\ x\)\/Q\^2 + \(R\^2\ x\^2\)\/Q\^2 \[Equal] 
        1 - x\^2, x]\)], "Input"],

Cell[BoxData[
    \({{x \[Rule] \(N\ R - \@\(\(-N\^2\)\ Q\^2 + 4\ Q\^4 + 4\ Q\^2\ \
R\^2\)\)\/\(2\ \((Q\^2 + R\^2)\)\)}, {x \[Rule] \(N\ R + \@\(\(-N\^2\)\ Q\^2 \
+ 4\ Q\^4 + 4\ Q\^2\ R\^2\)\)\/\(2\ \((Q\^2 + R\^2)\)\)}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{\({{x \[Rule] \(N\ R - \@\(\(-N\^2\)\ Q\^2 + 4\ Q\^4 + 4\ Q\^2\ R\
\^2\)\)\/\(2\ \((Q\^2 + R\^2)\)\)}, {x \[Rule] \(N\ R + \@\(\(-N\^2\)\ Q\^2 + \
4\ Q\^4 + 4\ Q\^2\ R\^2\)\)\/\(2\ \((Q\^2 + R\^2)\)\)}}\), "//.", 
      RowBox[{"{", 
        RowBox[{\(\(-N\^2\)\ Q\^2 + 4\ Q\^4 + 4\ Q\^2\ R\^2 \[Rule] D\), ",", 
          
          RowBox[{
            FractionBox["1", 
              StyleBox[\(2\ \((Q\^2 + R\^2)\)\),
                FontWeight->"Plain"]], "\[Rule]", \(1\/F\)}]}], 
        "}"}]}]], "Input"],

Cell[BoxData[
    \({{x \[Rule] \(\(-\@D\) + N\ R\)\/F}, {x \[Rule] \(\@D + N\ R\)\/F}}\)], \
"Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["A\[Equal]C and u\[Equal]0 and v\[Equal]0 (F==0)", "Subsection"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(x\^2 + y\^2 \[Equal] 1\), "\[IndentingNewLine]", 
    \(A\ \((x - u)\)\^2 + C\ \((y - v)\)\^2 \[Equal] 1 /. {A \[Rule] C, 
        u \[Rule] 0, v \[Rule] 0}\)}], "Input"],

Cell[BoxData[
    \(x\^2 + y\^2 \[Equal] 1\)], "Output"],

Cell[BoxData[
    \(C\ x\^2 + C\ y\^2 \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[BoxData[
    \(y\^2 \[Equal] 1 - x\^2\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(C\ x\^2 + C\ y\^2 \[Equal] 1 /. y\^2 -> 1 - x\^2\)], "Input"],

Cell[BoxData[
    \(C\ x\^2 + C\ \((1 - x\^2)\) \[Equal] 1\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[C\ x\^2 + C\ \((1 - x\^2)\) \[Equal] 1\ , x]\)], "Input"],

Cell[BoxData[
    \({}\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 941}},
WindowSize->{1272, 907},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageFooters->{{
  Inherited, Inherited, Inherited}, {
    "Author: Du\[SHacek]an Omer\[CHacek]evi\[CAcute]", Inherited, 
      "http://vicos.fri.uni-lj.si/dusano/"}},
CellLabelAutoDelete->True
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 139, 2, 58, "Input"],
Cell[1918, 57, 56, 1, 35, "Output"],
Cell[1977, 60, 92, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2106, 66, 65, 1, 36, "Input"],
Cell[2174, 69, 97, 2, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2308, 76, 91, 1, 36, "Input"],
Cell[2402, 79, 192, 3, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2631, 87, 70, 1, 97, "Section"],

Cell[CellGroupData[{
Cell[2726, 92, 121, 2, 39, "Input"],
Cell[2850, 96, 112, 2, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2999, 103, 131, 3, 41, "Input"],
Cell[3133, 108, 134, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3304, 115, 137, 2, 39, "Input"],
Cell[3444, 119, 143, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3624, 126, 143, 2, 39, "Input"],
Cell[3770, 130, 144, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3951, 137, 157, 2, 39, "Input"],
Cell[4111, 141, 159, 3, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4307, 149, 288, 6, 39, "Input"],
Cell[4598, 157, 90, 1, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4725, 163, 156, 2, 51, "Input"],
Cell[4884, 167, 114, 2, 54, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5047, 175, 65, 1, 97, "Section"],

Cell[CellGroupData[{
Cell[5137, 180, 116, 2, 39, "Input"],
Cell[5256, 184, 112, 2, 41, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5405, 191, 131, 3, 41, "Input"],
Cell[5539, 196, 134, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5710, 203, 137, 2, 39, "Input"],
Cell[5850, 207, 143, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6030, 214, 130, 2, 39, "Input"],
Cell[6163, 218, 139, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6339, 225, 146, 2, 39, "Input"],
Cell[6488, 229, 146, 3, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6671, 237, 271, 5, 39, "Input"],
Cell[6945, 244, 85, 1, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7067, 250, 162, 3, 51, "Input"],
Cell[7232, 255, 109, 2, 54, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7390, 263, 26, 0, 92, "Section"],

Cell[CellGroupData[{
Cell[7441, 267, 113, 2, 54, "Input"],
Cell[7557, 271, 114, 2, 54, "Output"]
}, Open  ]],
Cell[7686, 276, 108, 2, 54, "Input"],
Cell[7797, 280, 200, 4, 99, "Input"],

Cell[CellGroupData[{
Cell[8022, 288, 122, 2, 55, "Input"],
Cell[8147, 292, 199, 3, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8383, 300, 229, 4, 54, "Input"],
Cell[8615, 306, 210, 4, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8862, 315, 274, 5, 54, "Input"],
Cell[9139, 322, 202, 3, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[9378, 330, 466, 7, 54, "Input"],
Cell[9847, 339, 80, 1, 35, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[9976, 346, 35, 0, 92, "Section"],
Cell[10014, 348, 337, 5, 191, "Input"],

Cell[CellGroupData[{
Cell[10376, 357, 123, 3, 46, "Input"],
Cell[10502, 362, 205, 3, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10744, 370, 220, 3, 52, "Input"],
Cell[10967, 375, 216, 3, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[11220, 383, 478, 9, 78, "Input"],
Cell[11701, 394, 70, 1, 35, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[11820, 401, 36, 0, 92, "Section"],

Cell[CellGroupData[{
Cell[11881, 405, 213, 4, 54, "Input"],
Cell[12097, 411, 71, 1, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12205, 417, 281, 5, 54, "Input"],
Cell[12489, 424, 54, 1, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12580, 430, 348, 5, 52, "Input"],
Cell[12931, 437, 111, 2, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13079, 444, 69, 1, 36, "Input"],
Cell[13151, 447, 70, 1, 35, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[13270, 454, 33, 0, 92, "Section"],
Cell[13306, 456, 228, 3, 134, "Input"],

Cell[CellGroupData[{
Cell[13559, 463, 107, 2, 49, "Input"],
Cell[13669, 467, 52, 1, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13758, 473, 193, 3, 36, "Input"],
Cell[13954, 478, 82, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14073, 484, 148, 2, 36, "Input"],
Cell[14224, 488, 79, 1, 35, "Output"]
}, Open  ]],
Cell[14318, 492, 134, 2, 79, "Input"],
Cell[14455, 496, 95, 2, 38, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[14587, 503, 33, 0, 92, "Section"],
Cell[14623, 505, 427, 7, 224, "Input"],

Cell[CellGroupData[{
Cell[15075, 516, 77, 1, 49, "Input"],
Cell[15155, 519, 52, 1, 48, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15244, 525, 47, 1, 36, "Input"],
Cell[15294, 528, 48, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15379, 534, 58, 1, 36, "Input"],
Cell[15440, 537, 73, 1, 39, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15550, 543, 91, 1, 58, "Input"],
Cell[15644, 546, 86, 1, 63, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15767, 552, 105, 2, 64, "Input"],
Cell[15875, 556, 97, 2, 78, "Output"]
}, Open  ]],
Cell[15987, 561, 74, 1, 59, "Input"],
Cell[16064, 564, 74, 1, 59, "Input"],
Cell[16141, 567, 69, 1, 59, "Input"],
Cell[16213, 570, 69, 1, 59, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16319, 576, 32, 0, 92, "Section"],

Cell[CellGroupData[{
Cell[16376, 580, 27, 0, 48, "Subsection"],
Cell[16406, 582, 69, 1, 36, "Input"],
Cell[16478, 585, 226, 3, 134, "Input"],

Cell[CellGroupData[{
Cell[16729, 592, 271, 5, 52, "Input"],
Cell[17003, 599, 215, 3, 52, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17255, 607, 69, 1, 48, "Input"],
Cell[17327, 610, 55, 1, 48, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[17431, 617, 47, 0, 48, "Subsection"],

Cell[CellGroupData[{
Cell[17503, 621, 178, 3, 58, "Input"],
Cell[17684, 626, 56, 1, 35, "Output"],
Cell[17743, 629, 62, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17842, 635, 114, 2, 36, "Input"],
Cell[17959, 639, 121, 2, 62, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[18129, 647, 32, 0, 48, "Subsection"],

Cell[CellGroupData[{
Cell[18186, 651, 161, 3, 58, "Input"],
Cell[18350, 656, 56, 1, 35, "Output"],
Cell[18409, 659, 77, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18523, 665, 65, 1, 36, "Input"],
Cell[18591, 668, 97, 2, 40, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18725, 675, 138, 2, 40, "Input"],
Cell[18866, 679, 120, 2, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19023, 686, 217, 4, 39, "Input"],
Cell[19243, 692, 79, 1, 38, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19359, 698, 110, 2, 41, "Input"],
Cell[19472, 702, 107, 2, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19616, 709, 126, 2, 36, "Input"],
Cell[19745, 713, 111, 2, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[19893, 720, 240, 3, 36, "Input"],
Cell[20136, 725, 63, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20236, 731, 72, 1, 36, "Input"],
Cell[20311, 734, 150, 2, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20498, 741, 187, 3, 57, "Input"],
Cell[20688, 746, 122, 2, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[20847, 753, 179, 4, 36, "Input"],
Cell[21029, 759, 84, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21150, 765, 255, 4, 56, "Input"],
Cell[21408, 771, 216, 3, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[21661, 779, 257, 4, 57, "Input"],
Cell[21921, 785, 166, 2, 56, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22124, 792, 204, 4, 56, "Input"],
Cell[22331, 798, 171, 3, 68, "Output"]
}, Open  ]],
Cell[22517, 804, 207, 4, 100, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[22761, 813, 32, 0, 48, "Subsection"],

Cell[CellGroupData[{
Cell[22818, 817, 165, 3, 58, "Input"],
Cell[22986, 822, 56, 1, 35, "Output"],
Cell[23045, 825, 77, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[23159, 831, 125, 3, 36, "Input"],
Cell[23287, 836, 186, 3, 56, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[23522, 845, 32, 0, 48, "Subsection"],
Cell[23557, 847, 108, 2, 54, "Input"],
Cell[23668, 851, 200, 4, 99, "Input"],

Cell[CellGroupData[{
Cell[23893, 859, 64, 1, 35, "Input"],
Cell[23960, 862, 45, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24042, 868, 123, 2, 54, "Input"],
Cell[24168, 872, 83, 1, 50, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24288, 878, 119, 2, 51, "Input"],
Cell[24410, 882, 119, 2, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24566, 889, 137, 3, 54, "Input"],
Cell[24706, 894, 234, 3, 59, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[24977, 902, 539, 11, 59, "Input"],
Cell[25519, 915, 103, 2, 55, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[25671, 923, 69, 0, 48, "Subsection"],

Cell[CellGroupData[{
Cell[25765, 927, 191, 3, 58, "Input"],
Cell[25959, 932, 56, 1, 35, "Output"],
Cell[26018, 935, 62, 1, 35, "Output"]
}, Open  ]],
Cell[26095, 939, 55, 1, 36, "Input"],

Cell[CellGroupData[{
Cell[26175, 944, 81, 1, 36, "Input"],
Cell[26259, 947, 72, 1, 35, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[26368, 953, 83, 1, 36, "Input"],
Cell[26454, 956, 36, 1, 35, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

